CS_SOLVER(1)

NAME
cs_solver - Main program of Code_Saturne.

SYNOPSIS
cs_solver [options]

DESCRIPTION
The cs_solver program is the main part of Code_Saturne. It solves the Navier-Stokes equations, on a mesh given by the preprocessor_output created by the Code_Saturne preprocessor.

OPTIONS

--solcom
    Stand-alone kernel with "geomet" mesh in SolCom format (obsolete).

--mpi [appnum]
    Use MPI for parallelism or coupling. In case of code coupling, appnum gives the number of this application (default: 0).

-q, --quality
    Mesh quality verification mode.

--cwf <criterion> [--post]
    Cut warped faces. Set the post option to activate the post-processing related to the cutting of warped faces.

--benchmark [--mpitrace]
    Elementary operations performance. If the mpitrace option is set, operations are done only once for light MPI traces.

--log
    Output redirection for rank -1 or 0. Differents possibilities are: 0 for standard output and 1 for output in listing (default)

--logp
    Output redirection for rank > 0. Differents possibilities are: -1 to remove output (default), 0 for no redirection (if independant terminal, debugger type) and 1 for output in listing_n<rank>

-p, --param <file_name>
    Parameter file.

--version
    Print version number.

-h, --help
    Print a usage message and exit.

ENVIRONMENT

CS_FIC_MEM
    Name of memory operations trace file.

SEE ALSO
cs_create(1), cs_preprocess(1)